//border-radius all corners at ones
@mixin border-radius($value) {
  -webkit-border-radius:$value;
  -moz-border-radius:$value;
  border-radius:$value;
}
//border-radius single corners: top-left, bottom-left, top-right, bottom-right
//input needed corners with values, the rest with none
// example: @include border-radius-4(5px,none,6px,none);
@mixin border-radius-4($top-left,$bottom-left,$top-right,$bottom-right) {
  -webkit-border-top-left-radius: $top-left;
  -moz-border-top-left-radius: $top-left;
  border-top-left-radius: $top-left;
  -webkit-border-bottom-left-radius: $bottom-left;
  -moz-border-bottom-left-radius: $bottom-left;
  border-bottom-left-radius: $bottom-left;
  -webkit-border-top-right-radius: $top-right;
  -moz-border-top-right-radius: $top-right;
  border-top-right-radius: $top-right;
  -webkit-border-bottom-right-radius: $bottom-right;
  -moz-border-bottom-right-radius: $bottom-right;
  border-bottom-right-radius: $bottom-right;
}
//box-shadow
@mixin box-shadow($value) {
  -webkit-box-shadow: $value;
  -moz-box-shadow: $value;
  box-shadow: $value;
}
//font-setup
@function strip-unit($value) {
  @return $value / ($value * 0 + 1);
}
//writes body font within @media queries
@mixin responsive-body-font($min-font-size,$max-font-size,$min-viewport,$max-viewport) {
  @media all and (min-width: $min-viewport) and (max-width:$max-viewport) {
    body {
      font-size: calc(#{$min-font-size} + #{strip-unit($max-font-size - $min-font-size)} * ((100vw - #{$min-viewport}) / #{strip-unit($max-viewport - $min-viewport)}));
    }
  }
}
//writes body font only
@mixin body-font-setup($min-font-size,$max-font-size,$min-viewport,$max-viewport) {
  body {
    font-size: calc(#{$min-font-size} + #{strip-unit($max-font-size - $min-font-size)} * ((100vw - #{$min-viewport}) / #{strip-unit($max-viewport - $min-viewport)}));
  }
}
//translate X,Y,Z
@mixin translate($value1,$value2,$value3) {
  -webkit-transform: translate($value1,$value2,$value3);
  -moz-transform: translate($value1,$value2,$value3);
  -ms-transform: translate($value1,$value2,$value3);
  -o-transform: translate($value1,$value2,$value3);
  transform: translate($value1,$value2,$value3);
}
//transition
@mixin transition($value) {
  -webkit-transition: $value;
  -moz-transition: $value;
  -ms-transition: $value;
  -o-transition: $value;
  transition: $value;
}